Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_WString_var Class Reference

CORBA_WString var class. Provides automatic deallocation of storage for wide strings. More...

`#include <CORBA_String.h>`

List of all members.

## Public Methods
| CORBA_WString_var (void)
| default constructor.
| CORBA_WString_var (CORBA::WChar *p)
| constructor, owns p.
| CORBA_WString_var (const CORBA::WChar *p)
| constructor. Makes a copy of p.
| CORBA_WString_var (const CORBA_WString_var &s)
| copy constructor.
| ~CORBA_WString_var (void)
| destructor.
CORBA_WString_var& | operator= (CORBA::WChar *p)
| assignment operator.
CORBA_WString_var& | operator= (const CORBA::WChar *p)
| assignment to a const char*. Makes a copy.
CORBA_WString_var& | operator= (const CORBA_WString_var &s)
| assignment operator.
| operator CORBA::WChar * ()
| access and modify.
| operator const CORBA::WChar * () const
| only read privileges.
CORBA::WChar& | operator[] (CORBA::ULong slot)
| allows access and modification using an slot.
CORBA::WChar | operator[] (CORBA::ULong slot) const
| allows only accessing thru an slot.
const CORBA::WChar* | in (void) const
| for in parameter.
CORBA::WChar*& | inout (void)
| for inout parameter.
CORBA::WChar*& | out (void)
| for out parameter.
CORBA::WChar* | _retn (void)
| for string of return type.
## Private Attributes
CORBA::WChar* | ptr_
| instance.

## Detailed Description

CORBA_WString var class. Provides automatic deallocation of storage for wide strings.

## Constructor & Destructor Documentation

ACE_INLINE CORBA_WString_var::CORBA_WString_var ( | void )

| default constructor.

CORBA_WString_var::CORBA_WString_var ( | CORBA::WChar * p )

| constructor, owns p.

ACE_INLINE CORBA_WString_var::CORBA_WString_var ( | const CORBA::WChar * p )

| constructor. Makes a copy of p.

CORBA_WString_var::CORBA_WString_var ( | const CORBA_WString_var & s )

| copy constructor.

CORBA_WString_var::~CORBA_WString_var ( | void )

| destructor.

## Member Function Documentation

ACE_INLINE CORBA::WChar * CORBA_WString_var::_retn ( | void )

| for string of return type.

ACE_INLINE const CORBA::WChar * CORBA_WString_var::in ( | void ) const

| for in parameter.

ACE_INLINE CORBA::WChar *& CORBA_WString_var::inout ( | void )

| for inout parameter.

ACE_INLINE CORBA_WString_var::operator CORBA::WChar * ( | )

| access and modify.

ACE_INLINE CORBA_WString_var::operator const CORBA::WChar * ( | ) const

| only read privileges.

CORBA_WString_var & CORBA_WString_var::operator= ( | const CORBA_WString_var & s )

| assignment operator.

CORBA_WString_var & CORBA_WString_var::operator= ( | const CORBA::WChar * p )

| assignment to a const char*. Makes a copy.

CORBA_WString_var & CORBA_WString_var::operator= ( | CORBA::WChar * p )

| assignment operator.

ACE_INLINE CORBA::WChar CORBA_WString_var::operator[] ( | CORBA::ULong slot ) const

| allows only accessing thru an slot.

ACE_INLINE CORBA::WChar & CORBA_WString_var::operator[] ( | CORBA::ULong slot )

| allows access and modification using an slot.

ACE_INLINE CORBA::WChar *& CORBA_WString_var::out ( | void )

| for out parameter.

## Member Data Documentation

CORBA::WChar * CORBA_WString_var::ptr_`[private]`

| instance.

The documentation for this class was generated from the following files:

- CORBA_String.h
- CORBA_String.cpp
- CORBA_String.inl